# Uses of Interface
org.opensaml.soap.wstrust.RequestedAttachedReference

Packages that use RequestedAttachedReference
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestedAttachedReference in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestedAttachedReference
Modifier and Type
Class
Description
`class`
`RequestedAttachedReferenceImpl`
RequestedAttachedReferenceImpl.
Methods in org.opensaml.soap.wstrust.impl that return RequestedAttachedReference
Modifier and Type
Method
Description
`RequestedAttachedReference`
RequestedAttachedReferenceBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestedAttachedReference`
RequestedAttachedReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.